> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-google-workspace-action-examples.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Monitor

> Invokes the c1.api.accessconflict.v1.AccessConflictService.CreateMonitor method.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/accessconflict
openapi: 3.1.0
info:
  description: The ConductorOne API is a HTTP API for managing ConductorOne resources.
  title: ConductorOne API
  version: 0.1.0-alpha
servers:
  - description: The ConductorOne API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/accessconflict:
    post:
      tags:
        - Access Conflict
      summary: Create Monitor
      description: >-
        Invokes the c1.api.accessconflict.v1.AccessConflictService.CreateMonitor
        method.
      operationId: c1.api.accessconflict.v1.AccessConflictService.CreateMonitor
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.accessconflict.v1.ConflictMonitorCreateRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/c1.api.accessconflict.v1.ConflictMonitor'
          description: Successful response
      x-codeSamples:
        - lang: go
          label: CreateMonitor
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.AccessConflict.CreateMonitor(ctx, nil)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ConflictMonitor != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.accessConflict.createMonitor();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.accessconflict.v1.ConflictMonitorCreateRequest:
      description: The ConflictMonitorCreateRequest message.
      properties:
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        notificationConfig:
          $ref: '#/components/schemas/c1.api.accessconflict.v1.NotificationConfig'
      required:
        - displayName
      title: Conflict Monitor Create Request
      type: object
      x-speakeasy-name-override: ConflictMonitorCreateRequest
    c1.api.accessconflict.v1.ConflictMonitor:
      description: The ConflictMonitor message.
      properties:
        createdAt:
          format: date-time
          readOnly: false
          type: string
        deletedAt:
          format: date-time
          readOnly: false
          type: string
        description:
          description: The description field.
          readOnly: false
          type: string
        displayName:
          description: The displayName field.
          readOnly: false
          type: string
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        entitlementSetAId:
          description: The entitlementSetAId field.
          readOnly: false
          type: string
        entitlementSetBId:
          description: The entitlementSetBId field.
          readOnly: false
          type: string
        id:
          description: The id field.
          readOnly: false
          type: string
        notificationConfig:
          $ref: '#/components/schemas/c1.api.accessconflict.v1.NotificationConfig'
        updatedAt:
          format: date-time
          readOnly: false
          type: string
      title: Conflict Monitor
      type: object
      x-speakeasy-name-override: ConflictMonitor
    c1.api.accessconflict.v1.NotificationConfig:
      description: The NotificationConfig message.
      properties:
        emailNotifications:
          $ref: '#/components/schemas/c1.api.accessconflict.v1.EmailNotifications'
        slackNotifications:
          $ref: '#/components/schemas/c1.api.accessconflict.v1.SlackNotifications'
      title: Notification Config
      type: object
      x-speakeasy-name-override: NotificationConfig
    c1.api.accessconflict.v1.EmailNotifications:
      description: The EmailNotifications message.
      properties:
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
        identityUserIds:
          description: The identityUserIds field.
          items:
            type: string
          nullable: true
          readOnly: false
          type: array
      title: Email Notifications
      type: object
      x-speakeasy-name-override: EmailNotifications
    c1.api.accessconflict.v1.SlackNotifications:
      description: The SlackNotifications message.
      properties:
        channelId:
          description: The channelId field.
          readOnly: false
          type: string
        channelName:
          description: The channelName field.
          readOnly: false
          type: string
        enabled:
          description: The enabled field.
          readOnly: false
          type: boolean
      title: Slack Notifications
      type: object
      x-speakeasy-name-override: SlackNotifications
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````